@echo off
rem # This library is free software; you can redistribute it and/or
rem # modify it under the terms of the GNU Lesser General Public
rem # License as published by the Free Software Foundation; either
rem # version 2.1 of the License, or any later version.
rem #
rem # This library is distributed in the hope that it will be useful,
rem # but WITHOUT ANY WARRANTY; without even the implied warranty of
rem # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
rem # Lesser General Public License for more details.
rem #
rem # You should have received a copy of the GNU Lesser General Public
rem # License along with this library; if not, write to the Free Software
rem # Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
rem # USA
rem #
rem # Initial developer(s): Marc Navarro (mnavarro@wins.uva.nl),
rem #                       Philippe Merle,
rem #                       Christophe Demarey.
rem # Modifier:             Willem A. Romijn.
rem #
rem # ====================================================================
rem #
rem #  The COACH REACTOR Implementation generator.
rem #
rem # %1 is the name used for the IDL3 file name and the generator's scope
rem # %2 is the destination directory for generation
rem # ====================================================================

setlocal

rem # Starts the OpenCCM's IR3.
call ir3_start

rem # Feeds the IR3 with specified IDL3 file.
call ir3_feed %1.idl3

rem # get into the generation directory
cd $2

rem # Execute the OpenCCM's IR3 to Reactor generator.
set LAUNCHER_ARGS="file:%OpenCCM_HOMEDIR%/xml/launcher/IR3toReactorImpl.xml" ::%1
call openccm_launcher exec

rem # stops the IR3
call ir3_stop
