/*===========================================================================

OpenCCM: The Open CORBA Component Model Platform
Copyright (C) 2000-2004 INRIA - USTL - LIFL - GOAL
Contact: openccm@objectweb.org

This library is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation; either
version 2.1 of the License, or any later version.

This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public
License along with this library; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
USA

Initial developer(s): Jrme Moroy, Areski Flissi.
Contributor(s):  ______________________________________.

===========================================================================*/

package org.objectweb.ccm.filetransfer.explorer;

import org.objectweb.openccm.explorer.Components.HomeContext;
import org.omg.Components.CCMObject;
import org.objectweb.ccm.filetransfer.Channel;
import org.objectweb.ccm.filetransfer.ChannelHelper;

/**
 * Displays the components by their name.
 *
 * @author <a href="mailto:Jerome.Moroy@lifl.fr">Jerome Moroy</a>,
 *         <a href="mailto:Areski.Flissi@lifl.fr">Areski Flissi</a>
 * @version 0.1
 */
public class ChannelHomeContext 
     extends HomeContext 
{

    protected String getName(CCMObject o) {
        Channel c = ChannelHelper.narrow(o);
        return c.the_name();
    }

}
